use crate::event::records::RuntimeEventRecordTemplate;

#[derive(Debug, Clone, PartialEq, Eq)]
pub(in crate::engine) enum EventGraphMutation {
    Append(RuntimeEventRecordTemplate),
    Activate { record_id: u32 },
    Deactivate { record_id: u32 },
    Remove { record_id: u32 },
}

#[derive(Debug, Default)]
pub(in crate::engine) struct AppliedEffectsSummary {
    pub(in crate::engine) applied_effect_count: u32,
    pub(in crate::engine) appended_record_ids: Vec<u32>,
    pub(in crate::engine) activated_record_ids: Vec<u32>,
    pub(in crate::engine) deactivated_record_ids: Vec<u32>,
    pub(in crate::engine) removed_record_ids: Vec<u32>,
}
